OrderCard

Order a card for a specific cardholder. A card can be printed with cardholder details by the card manufacturer. No commas, question marks or quotation marks are allowed in any of the fields.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
campaignUUIDString1-35 characters✓Indicator for which campaign the card is to be ordered for
titleStringspecial - see description✓This field can be used to enter the person’s title (e.g. Mr / Ms / Mrs / Dr / etc). Field is required but can accept empty string. (The combined value of title, initials and surname delimited with spaces should be maximum 20 characters.)
initialsStringspecial - see description✓This field can only contain alphabetic characters in UPPER CASE – no full stops are allowed between initials. Field is required but can accept empty string. (The combined value of title, initials and surname delimited with spaces should be maximum 20 characters.)
lastNameStringspecial - see description✓This field can only be alphabetic characters in UPPER CASE – no full stops and/or special characters are allowed. In the case of -double barrel- surnames, such as FABER-SMITH we may have a hyphen between the two parts of the surname. Spaces are allowed to accomodate compounded surnames like DE LA CRUZ and parental and maternal surnames like GARCIA FERNENDEZ. (The combined value of title, initials and surname delimited with spaces should be maximum 20 characters.); Field is required but can accept empty string.
address1Stringspecial - see description✓This is the first line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 60 characters (Manufacturer dependent). The field may not start (first character) with a comma, linefeed character, carriage return character, quotation marks or question mark.; Field is required but can accept empty string.
address2Stringspecial - see description✓This is the second line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 60 characters (Manufacturer dependent). The field may not start (first character) with a comma, linefeed character, carriage return character, quotation marks or question mark. Field is required but can accept empty string.
address3Stringspecial - see description✓This is the third line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 60 characters (Manufacturer dependent). The field may not start (first character) with a comma, linefeed character, carriage return character, quotation marks or question mark. Field is required but can accept empty string.
address4Stringspecial - see description✓This is the fourth line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 60 characters (Manufacturer dependent). The field may not start (first character) with a comma, linefeed character, carriage return character, quotation marks or question mark. Field is required but can accept empty string.
address5Stringspecial - see description✓This is the fifth line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 60 characters (Manufacturer dependent). The field may not start (first character) with a comma, linefeed character, carriage return character, quotation marks or question mark. Field is required but can accept empty string.
additionalDataStringspecial - see description✓Customer specific additional data. Format to be negotiated per client. Maximum length is 350 characters (Manufacturer dependent).This field should not contain comma or new line(LF/CF) characters . Field is required but can accept empty string.
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

xml

OrderCard

00134564

1234-5678-9087

Miss

MT

Tutuka

7 Plein

Wanderers

Johannesburg

2001

South Africa

test123

123456

20200327T00:00:00

47E71AB6DD2D292A585399BAF8757E1352DBAA64


```xml

                        terminalID

                            00134564

                        campaignUUID

                            1234-5678-9087

                        title

                            Miss

                        initials

                            MT

                        surname

                            Tutuka

                        address1

                            7 Plein

                        address2

                            Wanderers

                        address3

                            Johannesburg

                        address4

                            2001

                        address5

                            South Africa

                        additionalData

                            1234567

                        resultCode

                            1

                        resultText

                            Approved

#### Response Parameters

|Field|type|Description|
|--------------|-------|------------------------------------------------|
|terminalID|String|Echo|
|campaignUUID|String|Echo|
|title|String|Echo|
|initials|String|Echo|
|lastName|String|Echo|
|Address1|String|Echo|
|Address2|String|Echo|
|Address3|String|Echo|
|Address4|String|Echo|
|Address5|String|Echo|
|additionalData|String|Echo|
|resultCode|Integer|Status code indicating transaction result|
|resultText|String|Status text indicating transaction result|

xml

  OrderCard

        00134564

        1234-5678-9087

        Miss

        MT

        Tutuka

        7 Plein

        Wanderers

        Johannesburg

        2001

        South Africa

        test123

        123456

        20200327T00:00:00

        47E71AB6DD2D292A585399BAF8757E1352DBAA64

                        terminalID

                            00134564

                        campaignUUID

                            1234-5678-9087

                        title

                            Miss

                        initials

                            MT

                        surname

                            Tutuka

                        address1

                            7 Plein

                        address2

                            Wanderers

                        address3

                            Johannesburg

                        address4

                            2001

                        address5

                            South Africa

                        additionalData

                            1234567

                        resultCode

                            1

                        resultText

                            Approved